From 3bfa32a243c5630a921b5807fe69e23e979ad46d Mon Sep 17 00:00:00 2001
From: Kenneth Hendricks <kennethhendricks@catalyst-au.net>
Date: Mon, 27 Feb 2017 13:14:22 +1100
Subject: [PATCH 06/15] Convert setExpectedExceptionRegExp calls to
 setExpectedException

Also known as patch A
---
 lib/filestorage/tests/file_system_filedir_test.php | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/lib/filestorage/tests/file_system_filedir_test.php b/lib/filestorage/tests/file_system_filedir_test.php
index 1f65099cb9d..0c12808ef9b 100644
--- a/lib/filestorage/tests/file_system_filedir_test.php
+++ b/lib/filestorage/tests/file_system_filedir_test.php
@@ -149,8 +149,8 @@ class core_files_file_system_filedir_testcase extends advanced_testcase {
             ->chown(\org\bovigo\vfs\vfsStream::OWNER_USER_2);
 
         // This should generate an exception.
-        $this->setExpectedExceptionRegexp('file_exception',
-            '/Can not create local file pool directories, please verify permissions in dataroot./');
+        $this->setExpectedException('file_exception',
+            'Can not create local file pool directories, please verify permissions in dataroot.');
 
         new file_system_filedir();
     }
@@ -170,8 +170,8 @@ class core_files_file_system_filedir_testcase extends advanced_testcase {
             ->chown(\org\bovigo\vfs\vfsStream::OWNER_USER_2);
 
         // This should generate an exception.
-        $this->setExpectedExceptionRegexp('file_exception',
-            '/Can not create local file pool directories, please verify permissions in dataroot./');
+        $this->setExpectedException('file_exception',
+            'Can not create local file pool directories, please verify permissions in dataroot.');
 
         new file_system_filedir();
     }
@@ -693,8 +693,8 @@ class core_files_file_system_filedir_testcase extends advanced_testcase {
         // Setup the filedir.
         $vfileroot = $this->setup_vfile_root();
 
-        $this->setExpectedExceptionRegexp('file_exception',
-            '/Cannot read file\. Either the file does not exist or there is a permission problem\./');
+        $this->setExpectedException('file_exception',
+            'Cannot read file. Either the file does not exist or there is a permission problem.');
 
         $fs = new file_system_filedir();
         $fs->add_file_from_path(\org\bovigo\vfs\vfsStream::url('filedir/file'));
-- 
2.17.1


